;//
;// Message Catalog for Acord parser
;//

;// Header Section

MessageIdTypedef=int

SeverityNames=(
   Success=0x0
   Informational=0x1
   Warning=0x2
   Error=0x3
   )

FacilityNames=(
   System=0x0FF
   Application=0xFFF
   ) 

LanguageNames=(
   English=1:MBEN_US1
   French=2:MBFR_FR1
   )

;// Common Message Section... Message numbers 1-99

MessageId=0010
Severity=Error
Facility=Application
SymbolicName=ACORD_NO_MHG
Language=English
(%1!s!) No Message Header Group found
.
Language=French
(%1!s!) Ze Message Header Group est mizzing
.

MessageId=0011
Severity=Error
Facility=Application
SymbolicName=ACORD_NO_MTG
Language=English
(%1!s!) No Message Trailer Group found
.
Language=French
(%1!s!) Ze Message Trailer Group est mizzing
.
   
MessageId=0012
Severity=Error
Facility=Application
SymbolicName=ACORD_NO_TRG
Language=English
(%1!s!) No Transaction Header Group found
.
Language=French
(%1!s!) Ze Message Transaction Group est mizzing
.
   
MessageId=0013
Severity=Warning
Facility=Application
SymbolicName=CCILOG_MSG
Language=English
(%1!s!) Message logged (%2!s!)
.
Language=French
(%1!s!) Ze Message est logged (%2!s!)
.
   
MessageId=0020
Severity=Error
Facility=Application
SymbolicName=ACORD_BAD_LENGTH
Language=English
(%1!s!) Invalid length (%2!s!) in group header (bytes 4-6) for segment (%3!s!) offset (%4!s!)
.
Language=French
(%1!s!) Ze Group lengthe (%2!s!) dans ze tete de grope pour segment (%3!s!) offset (%4!s!) est non good!
.
   
MessageId=0021
Severity=Error
Facility=Application
SymbolicName=ACORD_LENGTH_ERR
Language=English
(%1!s!) Message length (%2!s!) does not match sum of group lengths (%3!s!)
.
Language=French
(%1!s!) Ze Message length (%2!s!) non matches ze summe de lengths des gropes (%3!s!)
.
   
MessageId=0022
Severity=Error
Facility=Application
SymbolicName=ACORD_BAD_ID
Language=English
(%1!s!) Group identifier (%2!s!) is invalid
.
Language=French
(%1!s!) Sacre bleu! Ze Group identifier (%2!s!) est non good!
.

MessageId=0023
Severity=Error
Facility=Application
SymbolicName=ACORD_META_NOT_FOUND
Language=English
(%1!s!) Meta Data file not found for (%2!s!) at offset (%3!s!)
.
Language=French
(%1!s!) Mon dieu! Ze Meta data fil est mizzing por (%2!s!) sur l'offset (%3!s!)
.
   
MessageId=0024
Severity=Error
Facility=Application
SymbolicName=ACORD_SEGMENT_LENGTH_BAD
Language=English
(%1!s!) Group length (%2!s!) does not match metadata length (%3!s!) for segment (%4!s!) offset (%5!s!)
.
Language=French
(%1!s!) Mon dieu! Ze segment length (%2!s!) does not match ze copybook length (%3!s!) for ze segment (%4!s!) offset (%5!s!)
.
   
MessageId=0025
Severity=Error
Facility=Application
SymbolicName=ACORD_MGMT_TOO_SHORT
Language=English
(%1!s!) Management message is too short (%2!s!)
.
Language=French
(%1!s!) Mon dieu! Ze mesage du management est tres petite (%2!s!) 
.
   
;// End of message data