//  acordsub.h 

/*
 * Licensed Materials - Property of IBM
 * 5648-C63
 * (C) Copyright IBM Corp. 2000
 */
#include "context.h"

	int parseMessage(CciParser* parser,
				 PARSER_CONTEXT_ST* pc,
				 const unsigned char *dataIn, 
				 const int dataLen);
	void parseNextSegment(CciParser* parser,
						  PARSER_CONTEXT_ST* pc);
	int createOutputMessage(CciParser* parser, PARSER_CONTEXT_ST* context);
	void checkMessageFormat(PARSER_CONTEXT_ST* pc);
	const char *  getAcordsubLevel();
	int checkCompress(char * buffer, const int length, const int codepage);
	void deCompress(const char * inBuf, 
					CciChar * outBuf, 
					const int inLen, 
					const int codepage);
