//  metadata.h 

/*
 * Licensed Materials - Property of IBM
 * 5648-C63
 * (C) Copyright IBM Corp. 2000
 */

// definitions for FILETBL flags, etc
#define MAX_FILES			200
#define DELAYED_DELETION	1
#define DELETED_FILE_BYTE	187	// 0x0BB

void initializeMetadata();
void initializeStandards();
void removeMetaDataEntry(const char *segName);
void removeAllMetaData();
void decrementUseCount(int traceSw, const int fileIdx);
int getMetaData(const int traceSw,
				const char *versionPtr,
				const char *segName,
				const CciChar group);
const char * getMetadataLevel();
void getGroupName(char * segName, const char * longName);
void getLongName(const char * segName, char * longName, int maxchar);