/*****************************************************************/
/*                                                               */
/*  Definitions for ACORD dictionary file layout.                */
/*                                                               */
/*****************************************************************/

typedef struct {
	char	fmt_1st_char;
	char	fmt_group[3];
	char	fmt_rec_len[3];
	char	fmt_resvd[3];
} FMT_HDR;

typedef struct {
	FMT_HDR	fmt_hdr;
	char	reference_name[5];
	char	std_no[3];
	char	ver_no[2];
	char	group_desig[4];
	char	seq_no[2];
	char	element_length[3];
	char	field_class[3];
	char	data_type[2];
	char	presence_code;
	char	element_name[60];
	char	offset[3];
	char	group_ver_no;
	char	resvd[21];
} DDE_REC;
