//  trace.h 

/*
 * Licensed Materials - Property of IBM
 * 5648-C63
 * (C) Copyright IBM Corp. 2000
 */

#define TRACEALL			"TRACEALL"
#define TRACEOFF			"TRACEOFF"
#define TRACEPARSER			"TRPARSE "
#define TRACEWRITE			"TRWRITE "
#define TRACEMGMT			"TRMGMT  "
#define TRACEMODULE			"TRMODULE"

#ifdef _DEBUG
void initializeTrace();
void processTraceMessage(char * traceTypes, int count, int setting);
void Log(char *szFormat, ...);
void dumpAllElements(CciElement * root, const int indent);
void dumpMemory(unsigned char *data, int length);
#endif

const char * getTraceLevel();
